libhttppp ..

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libhttppp::HttpAuth Class Reference

## Public Member Functions
void | parse (libhttppp::HttpRequest &curreq)
void | setAuth (libhttppp::HttpResponse &curresp)
void | setAuthType (int authtype)
void | setRealm (const std::string &realm)
void | setUsername (const std::string &username)
void | setPassword (const std::string &password)
const std::string & | getUsername ()
const std::string & | getPassword ()
int | getAuthType ()
const std::string & | getAuthRequest ()

The documentation for this class was generated from the following files:

- src/http.h
- src/http.cpp